# NextEncounterPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class NextEncounterPhase

#### Hierarchy (View Summary)

- EncounterPhase
  - NextEncounterPhase
    - NewBiomeEncounterPhase

- Defined in src/phases/next-encounter-phase.ts:4

##### Index

### Constructors

constructor

### Methods

doEncounter
doEncounterCommon
end
getEncounterMessage
hideEnemyTrainer
showEnemyTrainer
start
tryOverrideForBattleSpec
trySetWeatherIfNewBiome

## Constructors

### constructor

- new NextEncounterPhase(): NextEncounterPhase

  #### Returns NextEncounterPhase

  Overrides EncounterPhase.constructor

  - Defined in src/phases/next-encounter-phase.ts:5

## Methods

### doEncounter

- doEncounter(): void

  #### Returns void

  Overrides EncounterPhase.doEncounter

  - Defined in src/phases/next-encounter-phase.ts:13

### doEncounterCommon

- doEncounterCommon(showEncounterMessage?: boolean): void

  #### Parameters

  - showEncounterMessage: boolean = true

  #### Returns void

  Inherited from EncounterPhase.doEncounterCommon

  - Defined in src/phases/encounter-phase.ts:402

### end

- end(): void

  #### Returns void

  Inherited from EncounterPhase.end

  - Defined in src/phases/encounter-phase.ts:544

### getEncounterMessage

- getEncounterMessage(): string

  #### Returns string

  Inherited from EncounterPhase.getEncounterMessage

  - Defined in src/phases/encounter-phase.ts:372

### hideEnemyTrainer

- hideEnemyTrainer(): void

  #### Returns void

  Inherited from EncounterPhase.hideEnemyTrainer

  - Defined in src/phases/battle-phase.ts:37

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?: TrainerSlot ): void

  #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from EncounterPhase.showEnemyTrainer

  - Defined in src/phases/battle-phase.ts:10

### start

- start(): void

  #### Returns void

  Overrides EncounterPhase.start

  - Defined in src/phases/next-encounter-phase.ts:9

### tryOverrideForBattleSpec

- tryOverrideForBattleSpec(): boolean

  #### Returns boolean

  Inherited from EncounterPhase.tryOverrideForBattleSpec

  - Defined in src/phases/encounter-phase.ts:630

### trySetWeatherIfNewBiome

- trySetWeatherIfNewBiome(): void

  Do nothing (since this is simply the next wave in the same biome).

  #### Returns void

  Overrides EncounterPhase.trySetWeatherIfNewBiome

  - Defined in src/phases/next-encounter-phase.ts:80